#!/bin/bash

JDS=`awk '{ printf("%.4f\n%.4f\n", $1-2400000, $2-2400000); }' jd.dat`

I=0
for JD in $JDS ; do
  echo $JD
  echo $I
  if [ $I -eq 0 ] ; then
    I=1
    JDMIN=$JD
  else
    for F in chi2_SKY.dat arcsec_AU.dat out_JDATE_uvw.dat ; do
      awk -vJDMIN=$JDMIN -vJD=$JD '($1 >= JDMIN+2400000) && ($1 < JD+2400000) || (NF==0)' < ../$F > $F
    done
    for F in out_JDATE_uvw.dat ; do
      awk -vJDMIN=$JDMIN -vJD=$JD '($1 >= JDMIN+2400000) && ($1 < JD+2400000+1.0) || (NF==0)' < ../$F > $F"_"
    done
    ./chi2_SKY_uv.plt
    cp chi2_SKY_uv.png chi2_SKY_uv.png"_$JDMIN"

    I=0
  fi
done


