#!/usr/bin/gawk -f

($2==-2){
  e1 = $4;
  lambda1 = zero2pi($6+$7+$8, 360.);
  varpi1 = zero2pi($6+$7, 360.);
}
($2==-3){
  e2 = $4;
  lambda2 = zero2pi($6+$7+$8, 360.);
  varpi2 = zero2pi($6+$7, 360.);

  sigma = zero2pi(3.*lambda2 - 2.*lambda1 - varpi1, 360.);
  sigma_ = zero2pi(3.*lambda2 - 2.*lambda1 - varpi2, 360.);

  print $1, sigma_, e2, sigma, e1;
}

func zero2pi(x,pi2, y) {
  y = frac(x/pi2)*pi2;
  if (y < 0.) { y = y + pi2; }
  return y;
}

func frac(x) {
  return (x - int(x));
}


