#!/usr/bin/gnuplot

chi2 = `awk 'BEGIN{ min=1e38; }{ chi=$NF; if (chi<min){ min=chi; } }END{ print min; }' chi2_func.tmp`

set xl "P_2 [d]"
set yl "Deltat1 [s]"
set zl "chi^2 []"

#set zr [380:420]
set xtics format "%.6f"
set xyplane 0.0
set nogrid

sp \
   "chi2_func.tmp" u 10:25:60 w lp,\
   "<cat ../map_Deltat1_*/chi2_func.tmp ../map_P2/chi2_func.tmp" u 10:25:60 w p lw 3

pa -1

q
  chi2 w l lt 0

